Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'releng/toolkit')
-rw-r--r--releng/toolkit/server/build-after-toolsmiths.sh6
-rw-r--r--releng/toolkit/server/build-after.sh3
-rw-r--r--releng/toolkit/server/manualPromote-master.sh28
3 files changed, 23 insertions, 14 deletions
diff --git a/releng/toolkit/server/build-after-toolsmiths.sh b/releng/toolkit/server/build-after-toolsmiths.sh
index dffb9a3f89f..2ed9c7e985e 100644
--- a/releng/toolkit/server/build-after-toolsmiths.sh
+++ b/releng/toolkit/server/build-after-toolsmiths.sh
@@ -42,14 +42,16 @@ fi
zipName="Papyrus-Toolsmiths.zip"
rm -rf tmp
-mkdir -p "tmp/$FULL_BUILD_ID"
+#mkdir -p "tmp/$FULL_BUILD_ID"
+mkdir -p "tmp/toolsmiths"
rm -rf $updateSite
mv $p2UpdateSiteDir $updateSite
# create the update site zip
(cd $updateSite && zip -r $updateZipName *)
-mv $updateSite/$updateZipName "tmp/$FULL_BUILD_ID"
+#mv $updateSite/$updateZipName "tmp/$FULL_BUILD_ID"
+mv $updateSite/$updateZipName "tmp/toolsmiths"
(cd tmp && zip -r $zipName *)
mv tmp/$zipName .
diff --git a/releng/toolkit/server/build-after.sh b/releng/toolkit/server/build-after.sh
index ca5e9dd2aba..e5e244f3f4e 100644
--- a/releng/toolkit/server/build-after.sh
+++ b/releng/toolkit/server/build-after.sh
@@ -33,7 +33,8 @@ fi
#COMPACT_BUILD_ID="${BUILD_ID//[-_]}"
#COMPACT_BUILD_ID="${COMPACT_BUILD_ID:0:12}"
-COMPACT_BUILD_ID="$(date +%Y%m%d%H%M)"
+#COMPACT_BUILD_ID="$(date +%Y%m%d%H%M)"
+COMPACT_BUILD_ID="$BUILD_TIMESTAMP"
FULL_BUILD_ID=${buildType}${COMPACT_BUILD_ID}
if [ -n "$BUILD_ALIAS" ]; then
diff --git a/releng/toolkit/server/manualPromote-master.sh b/releng/toolkit/server/manualPromote-master.sh
index 89b3e0d6a52..4be82907a71 100644
--- a/releng/toolkit/server/manualPromote-master.sh
+++ b/releng/toolkit/server/manualPromote-master.sh
@@ -153,17 +153,23 @@ $ADD_DOWNLOAD_STATS "$updateSiteDir/main" "main"
# ============================== PUBLISH TOOLSMITHS ==============================
if [[ "$toolsmithsBuildNumber" != "0" ]]; then
- nfsURL="" ## Not supported for HIPP builds. Leave the variable since the promote functions are still shared with the Shared Hudson Instance builds
- hudsonURL="https://hudson.eclipse.org/papyrus/job/Papyrus-Photon-Toolsmiths/$toolsmithsBuildNumber/artifact/"
- zipName="Papyrus-Toolsmiths.zip"
- updateZipName="Papyrus-Toolsmiths-Update.zip"
- getZip "$zipName" "$nfsURL" "$hudsonURL"
-
- # unzips under a "toolsmiths" folder under the main build's folder
- unzip -o "$zipName" -d "$buildsDir/$folderName"
- unzip -o "$buildsDir/$folderName/toolsmiths/$updateZipName" -d "$updateSiteDir/toolsmiths"
-
- $ADD_DOWNLOAD_STATS "$updateSiteDir/toolsmiths" "toolsmiths"
+ nfsURL="" ## Not supported for HIPP builds. Leave the variable since the promote functions are still shared with the Shared Hudson Instance builds
+ hudsonURL="https://hudson.eclipse.org/papyrus/job/Papyrus-Master-Toolsmiths/$toolsmithsBuildNumber/artifact/"
+ zipName="Papyrus-Toolsmiths.zip"
+ updateZipPrefix="Papyrus-Toolsmiths"
+ getZip "$zipName" "$nfsURL" "$hudsonURL"
+
+ echo "publishing toolsmiths (version='$version') to the builds directory '$buildsDir'..."
+ unzip -o "$zipName" -d "$buildsDir/$folderName"
+
+ foldersInZip=$(unzip -t "$zipName" | egrep "testing: *[^/]*/ +OK" | sed 's%^ *testing: *\([^/]*\)/ *OK$%\1%')
+ [ $(echo "$foldersInZip" | wc -l) == 1 ] || { echo "one directory expected in zip"; exit 1; }
+ folderNameToolsmith="$foldersInZip"
+
+ updateSiteZipName=$(basename $(ls -1 "$buildsDir/$folderName/$folderNameToolsmith/${updateZipPrefix}"*.zip))
+ unzip -o "$buildsDir/$folderName/$folderNameToolsmith/$updateSiteZipName" -d "$updateSiteDir/toolsmiths"
+
+ #$ADD_DOWNLOAD_STATS "$updateSiteDir/toolsmiths" "toolsmiths"
fi
# ============================== PUBLISH TESTS ==============================

Back to the top